/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : 13/04/2022, 17:18:01
    Author     : Carlos Braga
*/

.topbar_container {
    background: #884893;
}
.topbar_wrapper {
    padding: 0 6px;
    height: 94px;
    transition: .15s all linear;
}
.topbar_container.withPedido .topbar_wrapper {
    height: calc(94px - 36px);
}

.topbar_wrapper.alt {
    height: 0;
    overflow: hidden;
    transition: .15s all linear;
}
.topbar_container.withPedido .topbar_wrapper.alt {
    height: 36px;
}

.topbar_wrapper a img {
    height: 38px;
    object-fit: contain;
    object-position: center;
}
button.topbar_login_button.md-button.md-ink-ripple {
    border: 2px solid #FCB927;
    height: 40px;
    border-radius: 24px;
    padding: 0 12px;
    text-transform: inherit;
    font-weight: 500;
    font-size: 14px;
}

.topbar_wrapper a.pedidopendente_button.md-button.md-ink-ripple {
    min-height: auto;
    width: 100%;
    margin: 0;
    border-radius: 0;
    background: #fcb927;
    color: #884893;
    text-transform: unset;
    font-weight: 700;
    font-size: 16px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}






.sidemenu_container {
    position: relative;
    width: 100%;
    height: 100%;
    background: #884893;
}
.sidemenu_container img.sidemenu_bkg {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    object-fit: cover;
    object-position: center;
}
.sidemenu_wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 24px 18px 0;
    box-sizing: border-box;
}
.sidemenu_header_wrapper button.round.red.md-button.md-ink-ripple {
    box-shadow: 0 0;
}
.sidemenu_header_wrapper img.auth_logo {
    height: 37px;
    margin: 0;
}
.sidemenu_body_container {
    flex: auto;
    overflow: auto;
    padding: 0 0 24px;
}
.sidemenu_body_wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    /* overflow: auto; */
}

.sidemenu_top_links_container {
    margin: 24px 0;
}
.sidemenu_top_links_wrapper h1 {
    font-size: 20px;
    color: #fcb827;
    margin: 0 0 24px;
}
.sidemenu_top_links_wrapper h1 span {
    margin: 0 12px 0 0;
}
.sidemenu_top_links_wrapper .topbar_login_button.md-button.md-ink-ripple {
    border: 2px solid #8DC7E2;
    height: 48px;
    border-radius: 20px;
    padding: 0 28px;
    text-transform: inherit;
    font-weight: 700;
    margin: 12px 0;
}
.sidemenu_top_links_wrapper ul {
    margin: 6px 0;
    padding: 0;
    list-style: none;
    font-size: 16px;
    font-weight: 700;
    color: #8dc7e2;
}
.sidemenu_top_links_wrapper ul li a.sideicon, .sidemenu_common_links_wrapper ul li a.sideicon {
    width: 30px;
    margin: 0 3px 0 0;
}
.sidemenu_top_links_wrapper ul li a {
    padding: 6px 0;
    display: block;
    margin: 0;
    text-decoration: none;
    color: #fbb827;
}
.sidemenu_common_links_wrapper ul {
    margin: 6px 0;
    padding: 0;
    color: #fff;
    list-style: none;
    font-size: 16px;
    font-weight: 700;
}
.sidemenu_common_links_wrapper ul li {
    height: 37px;
    display: flex;
    align-items: center;
}
.sidemenu_common_links_wrapper ul li a {
    padding: 6px 0;
    display: block;
    margin: 0;
    text-decoration: none;
    color: #fff;
}
.sidemenu_top_links_wrapper ul li {
    height: 37px;
    display: flex;
    align-items: center;
}
.sidemenu_top_links_wrapper ul li a.special, .sidemenu_common_links_wrapper ul li a.sideicon {
    color: #fcb927;
}
.sidemenu_footer_container {
    padding: 12px 0;
}

.sidemenu_footer_wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.sidemenu_footer_wrapper img {
    height: 26px;
}
.sidemenu_footer_wrapper p {
    color: #fff;
    margin: 0 8px 3px;
}

.cart_container {
    position: fixed;
    width: 100%;
    top: 100%;
    background: #fff;
    height: 0;
    transition: .15s all linear;
    /* padding: 24px 12px; */
    box-sizing: border-box;
    z-index: 100;
    overflow: hidden;
}
.cart_container.active {
    top: 0;
    height: 100%;
    z-index: 10000;
}
cart .cart_container {
    overflow: hidden;
    bottom: 0;
    top: unset;
    height: 0;
}
cart .cart_container.active {
    top: unset;
    height: 100%;
}

.cart_preview_list_outer_container {
    height: calc(100% - 286px);
    overflow: auto;
}
.cart_header_container {
    padding: 24px 12px;
}
.cart_preview_list_container {
    padding: 0px 12px 12px;
}
.cart_preview_list_wrapper .home_rest_item_desc_wrapper + .home_rest_item_desc_wrapper p {
    color: #E35A49;
    font-size: 14px;
    font-weight: 700;
}
.cart_preview_list_wrapper .home_rest_item_desc_wrapper + .home_rest_item_desc_wrapper .icon.md-button {
    color: #e35a49;
}
.cart_header_title h1 > span {
    position: relative;
    margin: 0 20px 0 0;
    display: flex;
}
.cart_header_title h1 span span {
    /* position: absolute; */
    /* top: -8px; */
    /* right: -12px; */
    /* width: 24px; */
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    /* background: #e35a49; */
    color: #FCB927;
    /* border-radius: 24px; */
    font-size: 16px;
    margin: 0 6px 0;
}
.cart_header_title + .cart_header_title {
    margin: 24px 0 0;
}

.cart_footer_container {
    width: calc(100% - 24px);
    /* bottom: 0; */
    /* left: 0; */
    padding: 18px 12px;
    margin: 0 12px 6px;
    box-sizing: border-box;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
    background: #EDF2F4;
    border-radius: 24px;
}
.cart_footer_line p {
    color: #fcb927;
    font-size: 12px;
    font-weight: 700;
}
.cart_footer_line h5 + p, .cart_footer_line h5 {
    color: #65655E;
}
.cart_footer_action {
    /*border-top: 1px solid #EDF2F4;*/
    margin: 6px 0 0;
}
.cart_footer_action .round_withText.md-button {
    margin: 12px 0 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: unset;
    background: #884893;
    color: #fff;
    white-space: unset;
    border-radius: 24px;
    padding: 12px 0;
    line-height: unset;
}
.cart_preview_list_container.see {
    display: flex;
    background: rgb(227 90 73 / 10%);
    padding: 12px;
}
.cart_preview_list_container.see+.see {
    display: none;
}
.cart_preview_list_container.see.ativo {
    display: flex;
}
.cart_preview_list_container.see h3 {
    color: #e35a49;
}
.cart_footer_line.alt {
    /* border-bottom: 1px solid #EDF2F4; */
    padding: 6px 0;
    margin: 6px 0;
}
.cart_footer_line.alt.last {
    /*border-top: 1px solid #EDF2F4;*/
}
.cart_footer_line.alt.last p {
    font-size: 20px;
}
.cart_footer_line {
    min-height: 24px;
}
.promocode_wrapper button.md-button.md-ink-ripple {
    background: #884893;
    color: #fff;
    font-weight: 700;
    text-transform: unset;
    border-radius: 24px;
    margin: 0;
    padding: 0 24px;
    min-width: 120px;
    text-align: center;
    margin: 15px 0 0;
}
.promocode_wrapper {
    max-width: 450px;
    width: 100%;
}

notif .cart_container {
    top: 0;
    height: 0;
    overflow: hidden;
}
notif .cart_container.active {
    height: 100%;
}
.cart_preview_list_container.notificacoes {
    padding: 0 0 12px;
    height: calc(100% - 80px);
}
.cart_preview_list_container.notificacoes .cart_preview_list_wrapper > h5 {
    color: #884893;
    padding: 12px;
    margin: 6px 0 0;
}
.cart_preview_list_container.notificacoes .cart_preview_list_wrapper ul.home_rest_list li {
    padding: 12px;
}
.cart_preview_list_container.notificacoes .cart_preview_list_wrapper ul.home_rest_list li p {
    font-size: 10px;
    color: #65655E;
}
.cart_preview_list_container.notificacoes .cart_preview_list_wrapper ul.home_rest_list.new li {
    background: rgb(252 185 39 / 20%);
}






md-dialog.small_popup {
    border-radius: 20px;
}
md-dialog.small_popup .card_container {
    padding: 0;
}




.fullscreen_dialog_container.tab_container {
    height: calc(100vh - 85px);
    overflow: auto;
    padding: 0 24px;
}
.fullscreen_dialog_container.tab_container h1 {
    color: #202A4E;
    font-size: 24px;
}
.fullscreen_dialog_container.tab_container h1 span {
    color: #e35a49;
    margin: 0 6px 0 0;
}
.fullscreen_dialog_container.tab_container ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
.faq_item_title.md-button.md-ink-ripple {
    width: 100%;
    margin: 6px 0;
    text-transform: unset;
    color: #233872;
    border-radius: 12px;
}
.faq_item_title.md-button.md-ink-ripple span {
    color: #E35A49;
    font-size: 24px;
}
.faq_item_content {
    padding: 0 8px;
    text-align: justify;
}
.faq_item_content p {
    font-size: 0px;
    opacity: 0;
    transition: .15s font-size, .15s opacity .15s;
}
.fullscreen_dialog_container.tab_container ul li .active .faq_item_content p {
    font-size: 12px;
    opacity: 1;
}
section.info_links_section {
    padding: 36px 0 0;
    margin: 36px 0 0;
    border-top: 1px solid #EDF2F4;
}
section.info_links_section ul li div {
    padding: 12px 0;
}
section.info_links_section ul li div h3 {
    color: #233872;
}
a.faq_page_form_title .round.small.red.md-button.md-ink-ripple {
    margin: 0 12px 0 0;
}
p.faq_page_form_desc {
    margin: 6px 0 0;
}


.concluded_message_container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 80%;
}
.fullscreen_dialog_container.tab_container .concluded_message_wrapper h1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}
.fullscreen_dialog_container.tab_container .concluded_message_wrapper h1 span {
    color: #63A375;
    font-size: 32px;
    margin: 0 0 24px;
}
.fullscreen_dialog_container.tab_container .concluded_message_wrapper p {
    margin: 11px 0;
}



.fullscreen_dialog_container.tab_container.termsText ul {
    list-style: disc;
    margin: 0 0 6px 24px;
}
.fullscreen_dialog_container.tab_container.termsText ol {
    margin: 0 0 0 24px;
    padding: 0;
}
.fullscreen_dialog_container.tab_container.termsText {
    padding: 0 24px 12px;
    box-sizing: border-box;
}
.termsCheck_text {
    font-size: 12px;
}
.termsCheck_text a {
    color: #e35a49;
}








.loader {
    color: #fcb927;
    font-size: 8px;
    margin: 50px auto;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load4 1.3s infinite linear;
    animation: load4 1.3s infinite linear;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}
@-webkit-keyframes load4 {
  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
  }
  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }
  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }
  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }
  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }
  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
  }
  75% {
    box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
  }
  87.5% {
    box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
  }
}
@keyframes load4 {
  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
  }
  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }
  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }
  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }
  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
  }
  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
  }
  75% {
    box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
  }
  87.5% {
    box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
  }
}





.product_bottom_sheet_wrapper.topSection {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}
.product_bottom_sheet_wrapper.bottomSection {
    position: absolute;
    bottom: 0;
    z-index: 1;
    background: #fff;
    border-radius: 24px;
    padding: 36px 24px;
    width: calc(100% - 24px);
    margin: 0 12px 36px;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
}




.openappbutton.md-button.md-ink-ripple {
    position: absolute;
    bottom: 12px;
    left: 12px;
    background: #e35a48;
    border-radius: 24px;
    color: #fff;
    text-transform: unset;
    font-size: 14px;
    height: 48px;
    padding: 0 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}